/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.tool.bean;

import java.util.ArrayList;

/**
 *	DB作成入力情報 
 *
 */
public class AddDbInfo {
	/** データベース名  */
	protected String m_db;
	/** オプション  */
	protected String m_option;
	/** サーバ情報  */
	protected ArrayList m_server;
	/** 作成モード  */
	protected int m_makeMode;
	
	/**
	 * @return
	 */
	public String getDb() {
		return m_db;
	}

	/**
	 * @return
	 */
	public String getOption() {
		return m_option;
	}

	/**
	 * @param string
	 */
	public void setDb(String string) {
		m_db = string;
	}

	/**
	 * @param string
	 */
	public void setOption(String string) {
		m_option = string;
	}
	
	
	public int getMakeMode() {
		return m_makeMode;
	}
	public void setMakeMode(int makeMode) {
		m_makeMode = makeMode;
	}
	/**
	 * @return
	 * @since 3.0
	 */
	public ArrayList getServer() {
		return m_server;
	}

	/**
	 * @param ArrayList
	 * @since 3.0
	 */
	public void setServer(ArrayList list) {
		m_server = list;
	}
}
